Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.view.facelets
Class ResourceResolver

    java.lang.Object
      javax.faces.view.facelets.ResourceResolver

    public abstract class ResourceResolver

extends Object

Provide a hook to decorate or override the way that Facelets loads template files. A default implementation must be provided that satisfies the requirements for loading templates as in Pre-JSF 2.0 Facelets.

If a `<context-param>` with the param name equal to the value of `FACELETS_RESOURCE_RESOLVER_PARAM_NAME` exists, the runtime must interpret its value as a fully qualified classname of a java class that extends `ResourceResolver` and has a zero argument public constructor or a one argument public constructor where the type of the argument is `ResourceResolver`. If this param is set and its value does not conform to those requirements, the runtime must log a message and continue. If it does conform to these requirements and has a one-argument constructor, the default `ResourceResolver` must be passed to the constructor. If it has a zero argument constructor it is invoked directly. In either case, the new `ResourceResolver` replaces the old one.

Field Summary
`static String` | `FACELETS_RESOURCE_RESOLVER_PARAM_NAME`

Constructor Summary
`ResourceResolver()`

Method Summary
`abstract URL` | `resolveUrl(String path)` Returns the `URL` of a Facelet template file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACELETS_RESOURCE_RESOLVER_PARAM_NAME

    public static final String FACELETS_RESOURCE_RESOLVER_PARAM_NAME

See Also:
  Constant Field Values

Constructor Detail

### ResourceResolver

    public ResourceResolver()

Method Detail

### resolveUrl

    public abstract URL resolveUrl(String path)

  Returns the `URL` of a Facelet template file. Called by the Facelets Runtime to load a template file referred to in a Facelets page.

  Parameters:
    `path` - the internal path to the template resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.